package com.chaozhanggui.dao.system.dao;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chaozhanggui.dao.system.entity.TbPlussMerchantChannel;

import com.chaozhanggui.dao.system.entity.TbPlussMerchantChannelStatus;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@Mapper
public interface TbPlussMerchantChannelMapper extends IService<TbPlussMerchantChannelStatus> {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussMerchantChannel record);

    int insertSelective(TbPlussMerchantChannel record);

    TbPlussMerchantChannel selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TbPlussMerchantChannel record);

    int updateByPrimaryKey(TbPlussMerchantChannel record);

    List<TbPlussMerchantChannel> selectAll();
}